View Issue Details

IDProjectCategoryView StatusLast Update
14513Bug reports[All Projects] Central participant databasepublic2019-05-29 16:39
Reportercdorin Assigned Top_teichmann  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.17.x 
Summary14513: Permissions on shared participants (CPDB)
Description

I gave my user all the necessary permissions to edit/delete etc. a participant. The associated buttons are not displayed there (see screenshot).

The batch-edit buttons do not change (Select participant(s)... button), regardless of the permissions given to a user (see second screenshot - my user does not have the delete permission, but he can still see the "delete" button).

Put them together since they have to be "redesigned" together for a smoother UX.

Related to: 14017

TagsNo tags attached.
Complete LimeSurvey version number (& build)irrelevant
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Relationships

related to 14017 closedp_teichmann CPDB - view permission - user 
related to 14514 closedp_teichmann Purpose of permission "update" - CPDB 

Activities

cdorin

cdorin

2019-02-11 10:48

manager  

Selection_733.png (77,101 bytes)
Selection_733.png (77,101 bytes)
Selection_734.png (18,587 bytes)
Selection_734.png (18,587 bytes)
heise

heise

2019-04-03 14:36

reporter   ~51312

We have the same problem.

Kind regards,
Aiko

p_teichmann

p_teichmann

2019-05-08 17:32

administrator   ~51839

https://github.com/LimeSurvey/LimeSurvey/commit/70d03f7ba093700c28f3727cd04760558dea17bb

p_teichmann

p_teichmann

2019-05-29 16:12

administrator   ~52188

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28914

c_schmitz

c_schmitz

2019-05-29 16:39

administrator   ~52224

Version 3.17.4+190529 released

Related Changesets

LimeSurvey: master 70d03f7b

2019-05-08 17:26:21

p_teichmann

Details Diff
Fixed issue 14513: Permissions on shared participants (CPDB) Affected Issues
14513
mod - application/controllers/admin/participantsaction.php Diff File
mod - application/models/Participant.php Diff File
mod - application/views/admin/participants/massive_actions/_selector.php Diff File

Issue History

Date Modified Username Field Change
2019-02-11 10:48 cdorin New Issue
2019-02-11 10:48 cdorin Status new => assigned
2019-02-11 10:48 cdorin Assigned To => markusfluer
2019-02-11 10:48 cdorin File Added: Selection_733.png
2019-02-11 10:48 cdorin File Added: Selection_734.png
2019-02-11 10:53 cdorin Summary Permission - on shared participants => Permissions on shared participants (CPDB)
2019-02-11 10:53 cdorin Description Updated View Revisions
2019-02-12 16:50 cdorin Priority none => normal
2019-02-12 16:51 cdorin Relationship added related to 14017
2019-04-03 14:36 heise Note Added: 51312
2019-04-03 18:11 cdorin Status assigned => confirmed
2019-04-11 11:57 LouisGac Assigned To markusfluer => LouisGac
2019-04-30 10:16 cdorin Assigned To LouisGac => p_teichmann
2019-05-08 17:32 p_teichmann Status confirmed => resolved
2019-05-08 17:32 p_teichmann Resolution open => fixed
2019-05-08 17:32 p_teichmann Fixed in Version => 3.17.x
2019-05-08 17:32 p_teichmann Note Added: 51839
2019-05-15 14:36 p_teichmann Relationship added related to 14514
2019-05-29 16:12 p_teichmann Changeset attached => LimeSurvey master 70d03f7b
2019-05-29 16:12 p_teichmann Note Added: 52188
2019-05-29 16:39 c_schmitz Note Added: 52224
2019-05-29 16:39 c_schmitz Status resolved => closed